Debian Bug report logs - #680294
freebsd-utils: FTBFS in wheezy

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: Steven Chamberlain <steven@pyro.eu.org>

Date: Wed, 4 Jul 2012 20:27:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version freebsd-utils/9.0+ds1-5

Fixed in versions freebsd-utils/9.0+ds1-6, 9.0+ds1-5

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#680294; Package freebsd-utils. (Wed, 04 Jul 2012 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 04 Jul 2012 20:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freebsd-utils: FTBFS in wheezy
Date: Wed, 04 Jul 2012 21:22:18 +0100
Package: freebsd-utils
Version: 9.0+ds1-5
Severity: serious
Tags: wheezy sid
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the
past)

Hi,

It was noticed that freebsd-utils before 9.0+ds1-6 FTBFS after the
location of libutil.h was changed some time ago.  A fixed package was
uploaded before freeze but hasn't migrated yet due to the udeb-freeze.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Marked as fixed in versions freebsd-utils/9.0+ds1-6. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 04 Jul 2012 20:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#680294; Package freebsd-utils. (Thu, 05 Jul 2012 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 05 Jul 2012 18:24:05 GMT) Full text and rfc822 format available.

Message #12 received at 680294@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 680294@bugs.debian.org
Subject: Re: Bug#680294: freebsd-utils: FTBFS in wheezy
Date: Thu, 5 Jul 2012 20:22:29 +0200
2012/7/4 Steven Chamberlain <steven@pyro.eu.org>:
> It was noticed that freebsd-utils before 9.0+ds1-6 FTBFS after the
> location of libutil.h was changed some time ago.  A fixed package was
> uploaded before freeze but hasn't migrated yet due to the udeb-freeze.

I think it should build fine with freebsd-glue >= 0.0.4.  As that
version is now in Wheezy, maybe there's no point in keeping this bug?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#680294; Package freebsd-utils. (Thu, 05 Jul 2012 19:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 05 Jul 2012 19:18:05 GMT) Full text and rfc822 format available.

Message #17 received at 680294@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 680294@bugs.debian.org
Subject: Re: Bug#680294: freebsd-utils: FTBFS in wheezy
Date: Thu, 05 Jul 2012 20:16:12 +0100
On 05/07/12 19:22, Robert Millan wrote:
> I think it should build fine with freebsd-glue >= 0.0.4.  As that
> version is now in Wheezy, maybe there's no point in keeping this bug?

Are you saying freebsd-glue also fixed the older version in testing too?
(9.0+ds1-5)

Otherwise, I thought this bug would be useful to point at if asking the
Release Team for an exception for the udeb-freeze.  The udeb-freeze is
stopping freebsd-utils 9.0+ds1-6 from migrating even after 13 days.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#680294; Package freebsd-utils. (Thu, 05 Jul 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 05 Jul 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 680294@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 680294@bugs.debian.org
Subject: Re: Bug#680294: freebsd-utils: FTBFS in wheezy
Date: Thu, 5 Jul 2012 21:33:50 +0200
2012/7/5 Steven Chamberlain <steven@pyro.eu.org>:
> On 05/07/12 19:22, Robert Millan wrote:
>> I think it should build fine with freebsd-glue >= 0.0.4.  As that
>> version is now in Wheezy, maybe there's no point in keeping this bug?
>
> Are you saying freebsd-glue also fixed the older version in testing too?
> (9.0+ds1-5)

It should, yes.

> Otherwise, I thought this bug would be useful to point at if asking the
> Release Team for an exception for the udeb-freeze.  The udeb-freeze is
> stopping freebsd-utils 9.0+ds1-6 from migrating even after 13 days.

Uhm... well I think #679128 is a bigger reason to have it migrate, as
it's been pointed that it caused FTBFS in other packages.

-- 
Robert Millan




Reply sent to Steven Chamberlain <steven@pyro.eu.org>:
You have taken responsibility. (Thu, 05 Jul 2012 19:42:17 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Thu, 05 Jul 2012 19:42:17 GMT) Full text and rfc822 format available.

Message #27 received at 680294-done@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 680294-done@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>
Subject: Re: Bug#680294: freebsd-utils: FTBFS in wheezy
Date: Thu, 05 Jul 2012 20:40:09 +0100
Version: 9.0+ds1-5

On 05/07/12 20:33, Robert Millan wrote:
>> Are you saying freebsd-glue also fixed the older version in testing too?
>> (9.0+ds1-5)
> 
> It should, yes.

Okay, I'll close this then.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Aug 2012 07:36:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:04:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.